content/operate/rs/references/rest-api/requests/bdbs/crdt_sources-alerts.md
| Method | Path | Description |
|---|---|---|
| GET | /v1/bdbs/crdt_sources/alerts | Get all CRDT sources alert states for all CRDB databases |
| GET | /v1/bdbs/crdt_sources/alerts/{uid} | Get all CRDT sources alert states for a database |
| GET | /v1/bdbs/crdt_sources/alerts/{uid}/{crdt_src_id} | Get all alert states for a CRDT source |
| GET | /v1/bdbs/crdt_sources/alerts/{uid}/{crdt_src_id}/{alert} | Get a database alert state |
GET /v1/bdbs/crdt_sources/alerts
Get all alert states for all CRDT sources of all CRDBs.
| Permission name |
|---|
| [view_all_bdbs_alerts]({{< relref "/operate/rs/references/rest-api/permissions#view_all_bdbs_alerts" >}}) |
GET /v1/bdbs/crdt_sources/alerts
| Key | Value | Description |
|---|---|---|
| Host | cnm.cluster.fqdn | Domain name |
| Accept | application/json | Accepted media type |
Returns a hash of alert UIDs and the [alerts states]({{< relref "/operate/rs/references/rest-api/objects/alert" >}}) for each local BDB of CRDB.
{
"1": {
"crdt_src_syncer_connection_error": {
"enabled": true,
"state": true,
"threshold": "80",
"change_time": "2014-08-29T11:19:49Z",
"severity": "WARNING",
"change_value": {
"state": true,
"threshold": "80",
"memory_util": 81.2
}
},
"..."
},
"..."
}
| Code | Description |
|---|---|
| 200 OK | No error |
GET /v1/bdbs/crdt_sources/alerts/{int: uid}
Get all alert states for all crdt sources for a specific local bdb of a CRDB.
| Permission name |
|---|
| [view_bdb_alerts]({{< relref "/operate/rs/references/rest-api/permissions#view_bdb_alerts" >}}) |
GET /v1/bdbs/crdt_sources/alerts/1
| Key | Value | Description |
|---|---|---|
| Host | cnm.cluster.fqdn | Domain name |
| Accept | application/json | Accepted media type |
| Field | Type | Description |
|---|---|---|
| uid | integer | The unique ID of the database |
Returns a hash of [alert objects]({{< relref "/operate/rs/references/rest-api/objects/alert" >}}) and their states.
{
"crdt_src_syncer_connection_error": {
"enabled": true,
"state": true,
"threshold": "80",
"severity": "WARNING",
"change_time": "2014-08-29T11:19:49Z",
"change_value": {
"state": true,
"threshold": "80",
"memory_util": 81.2
}
},
"..."
}
| Code | Description |
|---|---|
| 200 OK | No error |
| 404 Not Found | Specified bdb does not exist |
GET /v1/bdbs/crdt_sources/alerts/{int: uid}/{int: crdt_src_id}
Get all alert states for specific crdt source for a specific local BDB of a CRDB.
| Permission name |
|---|
| [view_bdb_alerts]({{< relref "/operate/rs/references/rest-api/permissions#view_bdb_alerts" >}}) |
GET /v1/bdbs/crdt_sources/alerts/1/2
| Key | Value | Description |
|---|---|---|
| Host | cnm.cluster.fqdn | Domain name |
| Accept | application/json | Accepted media type |
| Field | Type | Description |
|---|---|---|
| uid | integer | The unique ID of the database |
| crdt_src_id | integer | The ID of the crdt source in this BDB |
Returns a hash of [alert objects]({{< relref "/operate/rs/references/rest-api/objects/alert" >}}) and their states.
{
"crdt_src_syncer_connection_error": {
"enabled": true,
"state": true,
"threshold": "80",
"severity": "WARNING",
"change_time": "2014-08-29T11:19:49Z",
"change_value": {
"state": true,
"threshold": "80",
"memory_util": 81.2
}
},
"..."
}
| Code | Description |
|---|---|
| 200 OK | No error |
| 404 Not Found | Specified bdb does not exist |
GET /v1/bdbs/crdt_sources/alerts/{int: uid}/{int: crdt_src_id}/{alert}
Get a BDB alert state.
| Permission name |
|---|
| [view_bdb_alerts]({{< relref "/operate/rs/references/rest-api/permissions#view_bdb_alerts" >}}) |
GET /v1/bdbs/crdt_sources/alerts/1/2/crdt_src_syncer_connection_error
| Key | Value | Description |
|---|---|---|
| Host | cnm.cluster.fqdn | Domain name |
| Accept | application/json | Accepted media type |
| Field | Type | Description |
|---|---|---|
| uid | integer | The unique ID of the database |
| crdt_src_id | integer | The ID of the crdt source in this BDB |
| alert | string | The alert name |
Returns an [alert object]({{< relref "/operate/rs/references/rest-api/objects/alert" >}}).
{
"enabled": true,
"state": true,
"threshold": "80",
"severity": "WARNING",
"change_time": "2014-08-29T11:19:49Z",
"change_value": {
"state": true,
"threshold": "80",
"memory_util": 81.2
}
}
| Code | Description |
|---|---|
| 200 OK | No error |
| 400 Bad Request | Bad request |
| 404 Not Found | Specified alert or bdb does not exist |